
Redmine - Defect #18159

Security issue when using local repositories

2014-10-22 22:03 - Luciano Silveira

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Security Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

Access to local repositories uses the system access rules. Since the system user used to run Redmine is unique, all local

repositories must be accessible by this user. So, if a manager of one project knows the path to the repository of another project, he

or she can configure a local repository for his/her own project using that path, obtaining reading access to that repository.

Related issues:

Is duplicate of Redmine - Feature #10966: [SECURITY] Project Managers should ... Closed

History

#1 - 2014-10-23 00:22 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

Same as #10966.

#2 - 2014-10-23 00:22 - Jean-Philippe Lang

- Is duplicate of Feature #10966: [SECURITY] Project Managers should not be able to choose an URL for a local repository added
